Bug 842066 - Review Request: sidc - A VLF signal monitor
Review Request: sidc - A VLF signal monitor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 11:34 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Marko 2012-07-21 11:34:25 EDT
Spec URL: http://rmarko.fedorapeople.org/packages/sidc.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/sidc-1.7-1.fc17.src.rpm
Description: A VLF signal monitor for recording sudden ionospheric disturbances
Fedora Account System Username: rmarko
Comment 1 Michael Scherer 2012-07-22 13:25:57 EDT
Hi,

I think a directory in /var/run need to have a corresponding file for systemd :
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d

FedoraReview also complain on the following :
[!]: SHOULD Spec use %global instead of %define.
     Note: %define tardirname sorki-sidc-7183373
Comment 2 Michael Scherer 2012-07-22 13:40:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GENERATED FILE", "GPL (v2)" For detailed output of
     licensecheck see file:
     /home/misc/checkout/git/FedoraReview/842066-sidc/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define tardirname sorki-sidc-7183373

Rpmlint
-------
Checking: sidc-1.7-1.fc17.src.rpm
          sidc-debuginfo-1.7-1.fc17.x86_64.rpm
          sidc-1.7-1.fc17.x86_64.rpm
sidc.x86_64: W: only-non-binary-in-usr-lib
sidc.x86_64: W: non-standard-uid /var/log/sidc sidc
sidc.x86_64: W: non-standard-gid /var/log/sidc sidc
sidc.x86_64: W: non-standard-uid /var/lib/sidc sidc
sidc.x86_64: W: non-standard-gid /var/lib/sidc sidc
sidc.x86_64: W: non-standard-uid /var/run/sidc sidc
sidc.x86_64: W: non-standard-gid /var/run/sidc sidc
sidc.x86_64: W: no-manual-page-for-binary sidc
3 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
sidc-debuginfo-1.7-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

sidc-1.7-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    alsa-utils  
    config(sidc) = 1.7-1.fc17
    fftw  
    libasound.so.2()(64bit)  
    libasound.so.2(ALSA_0.9)(64bit)  
    libasound.so.2(ALSA_0.9.0rc4)(64bit)  
    libc.so.6()(64bit)  
    libfftw3.so.3()(64bit)  
    libm.so.6()(64bit)  
    rtld(GNU_HASH)  
    shadow-utils  

Provides
--------
sidc-debuginfo-1.7-1.fc17.x86_64.rpm:
    
    sidc-debuginfo = 1.7-1.fc17
    sidc-debuginfo(x86-64) = 1.7-1.fc17

sidc-1.7-1.fc17.x86_64.rpm:
    
    config(sidc) = 1.7-1.fc17
    sidc = 1.7-1.fc17
    sidc(x86-64) = 1.7-1.fc17

MD5-sum check
-------------
https://github.com/sorki/sidc/tarball/v1.7/sidc-v1.7.tar.gz :
  MD5SUM this package     : a32d951a843718f81c6be0269bdc7a93
  MD5SUM upstream package : a32d951a843718f81c6be0269bdc7a93


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 842066
External plugins:


I was not able to test it ( do not have the hardware ), but it started fine with "sidc" as root, but systemd was unable to start it with default configuration, not sure if that's expected.

If you solve the 2 issues before, I guess the package would good to be approved.
Comment 3 Richard Marko 2012-07-23 10:40:21 EDT
(In reply to comment #2)
> I was not able to test it ( do not have the hardware ), but it started fine
> with "sidc" as root, but systemd was unable to start it with default
> configuration, not sure if that's expected.
> 

It should use your sound card but it might be locked by pulseaudio (works on my machine with pulseaudio running and also in virtual machine with default sound card).

> If you solve the 2 issues before, I guess the package would good to be
> approved.

Updated, thanks!

Spec URL: http://rmarko.fedorapeople.org/packages/sidc.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/sidc-1.8-1.fc17.src.rpm
Comment 4 Michael Scherer 2012-07-23 17:29:15 EDT
Ok, the 2 issues are fixed, 

but systemd still fail to start the service, I looked, it does start by hand with sidc -f ( after changing permission set to root because i first started as root ), and with systemd, it say :
	  Active: failed (Result: timeout) since Mon, 23 Jul 2012 23:16:29 +0200; 32s ago

Anyway, I guess my configuration is broken somehow, and that's just a should, not a must, so let's approve it.
Comment 5 Michael Scherer 2012-07-23 17:33:07 EDT
Ok so now I cleaned even the pid file in /run/, it start fine, sorry for the noise.
Comment 6 Richard Marko 2012-07-24 10:01:34 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: sidc
Short Description: A VLF signal monitor for recording sudden ionospheric disturbances
Owners: rmarko
Branches: f17
InitialCC: rmarko
Comment 7 Gwyn Ciesla 2012-07-24 10:20:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-24 13:14:08 EDT
sidc-1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sidc-1.8-1.fc17
Comment 9 Fedora Update System 2012-07-24 19:32:24 EDT
sidc-1.8-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-26 18:36:32 EDT
sidc-1.8-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.